Modify

Opened 3 months ago

Closed 3 weeks ago

Last modified 7 days ago

#18915 closed defect (fixed)

"Precondition violation" not fixable from within JOSM

Reported by: Geimas5 Owned by: team
Priority: normal Milestone: 20.05
Component: Core Version:
Keywords: upload conflict Cc: simon04

Description

Recently, I have occasionally started to receive errors while uploading data with no apparent way of solving the error without starting over.

What happens:
I receive this error when attempting to upload:

Uploading to the server failed because your current dataset violates a precondition. The error message is: ResponseCode=412, Error Header=<Precondition failed: Relation 10810290 requires the ways with id in 779691669, which either do not exist, or are not visible.>

It does not help to download the area again to the same layer, and the only way I have found to fix the problem it to discard all changes by deleting the data layer and start over.

Attachments (4)

output_part18.zip (1.4 MB) - added by Geimas5 3 months ago.
Datafile with the described problem
ConnectionSettings.PNG (126.1 KB) - added by Geimas5 3 months ago.
18915.patch (11.7 KB) - added by GerdP 6 weeks ago.
conflict-resolution.PNG (16.4 KB) - added by GerdP 6 weeks ago.

Download all attachments as: .zip

Change History (33)

Changed 3 months ago by Geimas5

Attachment: output_part18.zip added

Datafile with the described problem

comment:1 Changed 3 months ago by Don-vip

Owner: changed from team to Geimas5
Status: newneedinfo

Please attach your status report and describe how you create the data you want to upload.

comment:2 Changed 3 months ago by Geimas5

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-02-26 10:50:27 +0100 (Wed, 26 Feb 2020)
Build-Date:2020-02-26 09:52:41
Revision:15937
Relative:URL: ^/trunk

Identification: JOSM/1.5 (15937 en) Windows 10 64-Bit
OS Build number: Windows 10 Enterprise 1909 (18363)
Memory Usage: 247 MB / 989 MB (108 MB allocated, but free)
Java version: 1.8.0_241-b07, Oracle Corporation, Java HotSpot(TM) Client VM
Screen: \Display0 1920x1080
Maximum Screen Size: 1920x1080

Plugins:
+ buildings_tools (35248)
+ conflation (0.6.4)
+ jaxb (35092)
+ jts (35122)
+ kartverketimport (35)
+ log4j (35092)
+ todo (30306)
+ turnrestrictions (35313)
+ utilsplugin2 (35334)

Map paint styles:
+ https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_buildings&zip=1

Last errors/warnings:
- W: Cannot lock cache directory. Will not use disk cache
- W: Cannot start IPv4 remotecontrol server on port 8111: Address already in use: JVM_Bind
- W: Cannot start IPv6 remotecontrol server on port 8111: Address already in use: JVM_Bind

buildings_tool.shape=RECTANGLE
cache.bing.attribution.xml=1574805710
cache.capabilities1637351842=1583965856
cache.motd.html=1583965856
cache.motd.html.java=1.8.0_241
cache.motd.html.lang=En:
cache.motd.html.version=15937
changesetdialog.lastHeight=0
commandstack.lastHeight=0
conflation.png.lastHeight=0
conflict.lastHeight=0
conflict.visible=true
coordinates=DECIMAL_DEGREES
download.overpass.servers=[http://overpass.openstreetmap.ru/cgi/, https://overpass-api.de/api/]
download.overpass.wizard=[building=hangar]
draw.rawgps.colormode=0
draw.rawgps.lines=2
expert=true
filter.lastHeight=0
gui.geometry=x=-8,y=-8,width=2576,height=1416
gui.maximized=true
imagery.cache.max_disk_size=2048
imagery.entries=[{name=Bing aerial imagery, id=Bing, type=bing, url=https://www.bing.com/maps/, permission-reference-url=https://wiki.openstreetmap.org/wiki/Bing_Maps, max-zoom=22, min-zoom=1, cookies=, icon=data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAAgBAMAAACBVGfHAAAALVBMVEUMhIT///8jj4/Z7Ozl8vJUqal/vr6+3t6Tycmo1NQxl5dutbXz+flBn5/M5eX9gIKtAAAAjUlEQVR4XmMgD6gFoQkoC7eiCQgKK6AJiNBEQGkBmoBW5S40LROFZyugCMQICloEIQuoCwoKCicgCbAJCgoKGiEJMCWjCTAwpaAJsBaiCnC1CCILCCslCwoKijQgVKQLCgoKliLcAQbWCqgCFgin6wkKCgqevIDwHO8cQUHxAAYkwFoonMSAArS7GCgAAKZlGg8L4DPrAAAAAElFTkSuQmCC, noTileHeaders={"X-VE-Tile-Info":["no-tile"]}, noTileChecksums={"MD5":["c13269481c73de6e18589f9fbc3bdf7e"]}, metadataHeaders={"X-VE-TILEMETA-CaptureDatesRange":"Capture Date"}, customHttpHeaders={}, transparent=true, minimumTileExpire=3600, category=photo}, {name=Esri World Imagery, id=EsriWorldImagery, type=tms, url=https://{switch:services,server}.arcgisonline.com/arcgis/rest/services/World_Imagery/MapServer/tile/{zoom}/{y}/{x}, attribution-text=Terms & Feedback, attribution-url=https://wiki.openstreetmap.org/wiki/Esri, max-zoom=22, cookies=, icon=data:image/png;base64,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, noTileHeaders={"Etag":["\"10i954m13i2\""]}, noTileChecksums={"MD5":["f27d9de7f80c13501f470595e327aa6d"]}, customHttpHeaders={}, transparent=true, minimumTileExpire=3600, category=photo}, {name=Esri World Imagery (Clarity) Beta, type=tms, url=https://clarity.maptiles.arcgis.com/arcgis/rest/services/World_Imagery/MapServer/tile/{zoom}/{y}/{x}, attribution-text=Terms & Feedback, attribution-url=https://wiki.openstreetmap.org/wiki/Esri, permission-reference-url=https://github.com/osmlab/editor-layer-index/pull/358#issuecomment-361416110, max-zoom=22, cookies=, icon=data:image/png;base64,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, description=Esri archive imagery that may be clearer and more accurate than the default layer., customHttpHeaders={}, transparent=true, minimumTileExpire=3600, category=photo}, {name=GuleSider, type=tms, url=https://{switch:map01,map02}.eniro.no/geowebcache/service/tms1.0.0/aerial/{zoom}/{x}/{-y}.jpeg?c=713763115&v=20191011, cookies=, customHttpHeaders={}, transparent=true, minimumTileExpire=3600}, {name=Mapbox Satellite, id=Mapbox, type=tms, url=https://{switch:a,b,c,d}.tiles.mapbox.com/v4/mapbox.satellite/{zoom}/{x}/{y}.jpg?access_token=pk.eyJ1Ijoib3BlbnN0cmVldG1hcCIsImEiOiJjaml5MjVyb3MwMWV0M3hxYmUzdGdwbzE4In0.q548FjhsSJzvXsGlPsFxAQ, attribution-text=Terms & Feedback, attribution-url=https://www.mapbox.com/about/maps/, permission-reference-url=https://wiki.openstreetmap.org/wiki/Vertical_Aerial_Photographs#DigitalGlobe_.2F_MapBox, max-zoom=22, cookies=, icon=data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAMAAABEpIrGAAAAhFBMVEVHcEz///9CZPtphPtFZ/uMof1KavvO0uJifvtQcPuLn/1ng/ve4euQnv36+vtIaPtXdfvt7vTr7PG2v+jl5/BaePuhrv1devugrOC7wNdxi/uap96uuOXKzeDc3/O9xuqfrfzY2+ilsOLEy+xEZfuQntuwttG+w9mpsM2Zp/x3j/t0jfvA+Y0kAAAAAXRSTlMAQObYZgAAASRJREFUeF6Fk+eSwyAMhC2Be+9Ob9fv/d/viBQgDLnx98cedi2JNQTPhHkqZSrC4CVZjYYo8+SzRAdZunqCHsmznuILUk/3HX79fPmMN7vE7XK2n5yAuTVI8KRm/qYATSd4L7R/rddH0i4VObjGPY9IGxYgfvbchRNTBq2PFQkxzvzCk6r8teFKy+0WcSHHjlbDIEdGtne5pIbzXlk2tCxMSFtQ9DMSvxeAwyOsN2RK6lD1jfLGALpCbQwfwPQYtWBnkKZFDEw1TkDkjxYCGZNi39HjhIQw2xzAoXhUDk1QnaMfG2RUkrVuYakWXuSoMzsk015H1GT2d7/HxTAUh69J8Mbt7w6+8V9K58j5JGuHdv3Yr18cy7Ry9RRZ5F1ej1D41/8P1QwO53k2L5oAAAAASUVORK5CYII=, noTileHeaders={"ETag":["\"067736a547cafe90014b4e59b6510abe\"|\"ee1f6802b0234046b553cbbc672ac7d9\"|\"9f5a2f1d7cc131e58befc2052c71c827\""]}, noTileChecksums={"MD5":["811bb5f56a0e672f674a2a820d340c61"]}, customHttpHeaders={}, transparent=true, minimumTileExpire=3600, category=photo}, {name=OpenStreetMap (Standard Black & White), id=osm-mapnik-black_and_white, type=tms, url=https://tiles.wmflabs.org/bw-mapnik/{zoom}/{x}/{y}.png, attribution-text=© OpenStreetMap contributors, CC-BY-SA, attribution-url=https://www.openstreetmap.org/, max-zoom=18, cookies=, icon=data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAQAAABKfvVzAAADJElEQVR4Xo2SS2hcZRSAv/+//70zkzszeU+okVqaaGLjI0akTRGl3ehGdCEiutO6c6PgwoWCSMUXdRFaCurGTRGVUtqNraKmTDA1KtIQzat3TKczSW0mznTuzNznL1zoxo1+q3PgwPnOA8cufVU647y+PnYps6Wq9lbfxvTiqdnzs+/PH7re/bY6nV7tqT5UmanOkUDJcN5w9BW9phcuXDtW/bqy7ejfdVH/qhd0cfXsO9998VN5Xq/qTffaAwACnGl9VvcHePSiaOMidSzWdb+wsRG0CLmhc8E9r/YcbyNgqZA6w4E6ETksoI3gIofIYCCT3KPD39z49OkjIGHf9aikyWFyE4EgzwoHyJFBoQmxsAmQyH1TAyABrMDCJIvCI2Ibk24kYGCTIwXksbD3P3sYDCjtMV8xhsACJHXK5BjCRBMQ0CbAxUdpQ27Xrp5XYI7oEYgQ+IBHjKBDkOiZSJqESGLSZMYOWrJEPK67NDEtIhpoTAQxMRDSpE4H0AgUSkhkaPmTAaGGJiYWWSxCOmgU0CaEpI9Bmmj1+0AthnvXMwRCEBPSh4ekSh8dBNBFAChSZESD8i9LsXxKr/wRNWWy/XTi2sO3rBGjk2lMUqSTLa3+eHJuzJIwX/bLApOYiE4y/F18xNUkInG3iFjxi5/vVJSU6FMld9NHYLCDxqPKEoqPuUQjubLLNgtsmIcnXB1HCso1qyYJiMmzwSdY9PIww2zRhUEOjYsgJ8zhXtnyFXzT218IscizzHHcROsxdhPzFzdxsBDkGYjW13bcQqhgdCS+s0MWhxPUCTCZIotAspeYCgoPqZve5SKtZSQ0RrwhmyvMUMFF8TjTFPBJ4REyiEaAiN2jP6BBzqjOhMEi7+HQIstzyada9BFqQ9u4eFpphe+wCaAMM9q1HB41POGzixe4H7d18cJAauJgd75JiIkpDOq1y1+SAAa3vXvkrcZ4PFZ7bf3k7Itvsp9hbufBl14+fe7nP8/NfXDi0ee5l25uUUTc8eFnT/42esx+gmEMbiGxGUyO/G+mcnseue+ZycmpDP+PAneb4+lRA2D3f9T+A2BEVdbaZSWbAAAAAElFTkSuQmCC, valid-georeference=true, modTileFeatures=true, customHttpHeaders={}, transparent=true, minimumTileExpire=3600, category=osmbasedmap}, {name=OpenStreetMap Carto (Standard), id=standard, type=tms, url=https://{switch:a,b,c}.tile.openstreetmap.org/{zoom}/{x}/{y}.png, attribution-text=© OpenStreetMap contributors, CC-BY-SA 2.0, attribution-url=https://www.openstreetmap.org/, permission-reference-url=https://wiki.osmfoundation.org/wiki/Terms_of_Use, max-zoom=19, cookies=, icon=data:image/png;base64,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, valid-georeference=true, modTileFeatures=true, customHttpHeaders={}, transparent=true, minimumTileExpire=3600, category=osmbasedmap}, {name=Topo4, type=wms_endpoint, url=http://openwms.statkart.no/skwms1/wms.topo4?FORMAT=image/png&TRANSPARENT=TRUE&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetCapabilities, cookies=, valid-georeference=true, customHttpHeaders={}, transparent=true, minimumTileExpire=3600}, {name=Maxar Premium Imagery (Beta), id=Maxar-Premium, type=tms, url=https://services.digitalglobe.com/earthservice/tmsaccess/tms/1.0.0/DigitalGlobe:ImageryTileService@EPSG:3857@jpg/{zoom}/{x}/{-y}.jpg?connectId=_apiKey_&foo=premium, attribution-text=Terms & Feedback, attribution-url=https://wiki.openstreetmap.org/wiki/DigitalGlobe, max-zoom=22, cookies=, icon=data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAFEAAABQCAYAAABh05mTAAAACXBIWXMAAAsSAAALEgHS3X78AAACX0lEQVR4nO3d600CQRSG4U8asAVLwA7sRDvRUrASKcFStIIxJJxIYHeZy7nNnHkT/mjcbJ5IkBnO+JBSegHwhfZ+AZyu9c1wLak+ALxzX3t385X6HgEcAextfOziRERUSG5ERISUQEQ0SClERIKUREQUSGlERIDUQMTokFqIGBlSExGjQmojYkRIC0SMBmmFiJEgLRExCqQ1IkaA9ICI3iG9IKJnyN35xj9vvmNTl5D0m/g2Ieu7fDpPyMpOG1XXP3kA8Ork/rg3v57OD9aWEDE4JHtrr87zqV3QGiImZH5biJiQeeX8sT0h75T7jmVCblTytm9CrlT63nlCLlSzADEhr6pdxZmQF7UshU3Ic63rieEhwbQoGx6Sa2U7NCTn9kBYSO49lpCQEhtV4SCldvtCQXraMpVMFFIK0dP2AiUGKYHoEZASgeRG9AxIsUNyIvYASLFCciH2BEixQXIg9ghIsUC2IvYMSDVDtiCOAEg1QdYijgRIVUPWII4ISFVBliKODEgVQ5YgRgCkiiBzESMBUtmQOYgRAaksyHuIkQGpu5BbiBPwv03INcQJeNsq5BKit89rP7vfajh98P3icUh++kkp7Xu4t14AXd8jjWD0NHLh7l45T63jKHdmxRXk0guLVSVDP672tb0g1kxNuYH0gNgyduYC0hqRY27PHNISkXPw0RTSClFictQM0gJRcvTWBFIbUWN2WR1SE1Fz+FsVUgvRYnpeDVID0fL4ARVIaUQP5zeIQ0oiejoAQxRSCtHjCSJikBKIno9gEYHkRuzhP2GwQ3Ii9gBI8UEC+APN+inFetPJBgAAAABJRU5ErkJggg==, description=Maxar Premium is a mosaic composed of Maxar basemap with select regions filled with +Vivid or custom area of interest imagery, 50cm resolution or better, and refreshed more frequently with ongoing updates., valid-georeference=true, customHttpHeaders={}, transparent=true, minimumTileExpire=3600, category=photo}]
imagery.generic.zoom_offset=1
imagery.layers.addedIds=[DigitalGlobe-Premium, EsriWorldImageryClarity]
imagery.layers.default=[Bing, EsriWorldImagery, EsriWorldImageryClarity, Mapbox, Maxar-Premium, Maxar-Standard, osm-mapnik-black_and_white, standard]
imagery.offsetbookmarks=[]
imagery.wms.imageSize=1024
imagery.wms.loader.maxjobs=2
iodb.modify.toolbar=false
josm.version=15937
lastDirectory=W:\Openstreetmap\N50 Import\3040_Nesbyen\3040_water
layerlist.buttonhiding=ALWAYS_SHOWN
layerlist.lastHeight=216
mappaint.renderer-class-name=org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer
mappaint.style.entries=[{active=true, title=JOSM default (MapCSS), ptoken=standard, url=resource://styles/standard/elemstyles.mapcss}, {active=false, title=Potlatch 2, ptoken=standard, url=resource://styles/standard/potlatch2.mapcss}, {active=true, title=Coloured Buildings.de, url=https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_buildings&zip=1}]
mappaint.style.known-defaults=[resource://styles/standard/elemstyles.mapcss, resource://styles/standard/potlatch2.mapcss]
mapstyle.lastHeight=0
message.reverse_directional_way=false
message.reverse_directional_way.value=0
message.way.split.segment-selection-dialog=false
message.way.split.segment-selection-dialog.value=2
minimap.lastHeight=0
mirror.<josm.cache>\images.http://www.fosterhjemsforening.no/wp-content/uploads/2015/06/SSB_logo1.png=[1578937971140, <josm.cache>\images\mirror_http___www.fosterhjemsforening.no_wp-content_uploads_2015_06_SSB_logo1.png]
mirror.<josm.cache>\images.http://www.miljodirektoratet.no/Framework/favicon-32.png=[1533071264413, <josm.cache>\images\mirror_http___www.miljodirektoratet.no_Framework_favicon-32.png]
mirror.<josm.cache>\images.https://api.trafikinfo.trafikverket.se/img/apple-touch-icon-144-precomposed.png=[1578938024607, <josm.cache>\images\mirror_https___api.trafikinfo.trafikverket.se_img_apple-touch-icon-144-precomposed.png]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/josm/trunk/images/data/changeset.svg?format_raw=[1581265198155, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_josm_trunk_images_data_changeset.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/images/dialogs/changeset/changesetmanager.svg?format_raw=[1581265198340, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_images_dialogs_changeset_changesetmanager.svg_format_raw]
mirror.<josm.cache>\images.https://kelkkareitit.fi/img/favicon.png=[1583964264961, <josm.cache>\images\mirror_https___kelkkareitit.fi_img_favicon.png]
mirror.<josm.cache>\images.https://kommunikasjon.ntb.no/data/images/00525/e8799776-4b69-4ec4-906d-46285ccb3dbe-w_300_h_100.png=[1583965858896, <josm.cache>\images\mirror_https___kommunikasjon.ntb.no_data_images_00525_e8799776-4b69-4ec4-906d-46285ccb3dbe-w_300_h_100.png]
mirror.<josm.cache>\images.https://register.geonorge.no/data/organizations/870917732_od_liten.png=[1573928522933, <josm.cache>\images\mirror_https___register.geonorge.no_data_organizations_870917732_od_liten.png]
mirror.<josm.cache>\images.https://register.geonorge.no/data/organizations/_L_norgeibilder96x96.png=[1583965858600, <josm.cache>\images\mirror_https___register.geonorge.no_data_organizations__L_norgeibilder96x96.png]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/commons/thumb/0/02/Emblem_of_the_Norwegian_Directorate_of_Mining.svg/157px-Emblem_of_the_Norwegian_Directorate_of_Mining.svg.png=[1583964264534, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_commons_thumb_0_02_Emblem_of_the_Norwegian_Directorate_of_Mining.svg_157px-Emblem_of_the_Norwegian_Directorate_of_Mining.svg.png]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/commons/thumb/6/68/Coat_of_arms_of_the_Norwegian_Coastal_Administration.svg/143px-Coat_of_arms_of_the_Norwegian_Coastal_Administration.svg.png=[1583964264640, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_commons_thumb_6_68_Coat_of_arms_of_the_Norwegian_Coastal_Administration.svg_143px-Coat_of_arms_of_the_Norwegian_Coastal_Administration.svg.png]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/commons/thumb/8/8f/Sweden_road_sign_D9.svg/200px-Sweden_road_sign_D9.svg.png=[1582983336496, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_commons_thumb_8_8f_Sweden_road_sign_D9.svg_200px-Sweden_road_sign_D9.svg.png]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/commons/thumb/9/9c/Emblem_of_the_Norwegian_Directorate_of_Fisheries.svg/175px-Emblem_of_the_Norwegian_Directorate_of_Fisheries.svg.png=[1583964264587, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_commons_thumb_9_9c_Emblem_of_the_Norwegian_Directorate_of_Fisheries.svg_175px-Emblem_of_the_Norwegian_Directorate_of_Fisheries.svg.png]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/commons/thumb/b/b2/Emblem_of_the_Norwegian_Public_Roads_Administration.svg/200px-Emblem_of_the_Norwegian_Public_Roads_Administration.svg.png=[1583964265161, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_commons_thumb_b_b2_Emblem_of_the_Norwegian_Public_Roads_Administration.svg_200px-Emblem_of_the_Norwegian_Public_Roads_Administration.svg.png]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/commons/thumb/d/da/Oslo_komm.svg/200px-Oslo_komm.svg.png=[1572120045932, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_commons_thumb_d_da_Oslo_komm.svg_200px-Oslo_komm.svg.png]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/en/5/59/Riksantikvaren_logo.png=[1583964265010, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_en_5_59_Riksantikvaren_logo.png]
mirror.<josm.cache>\images.https://www.fosterhjemsforening.no/wp-content/uploads/2015/06/SSB_logo1.png=[1583964265112, <josm.cache>\images\mirror_https___www.fosterhjemsforening.no_wp-content_uploads_2015_06_SSB_logo1.png]
mirror.<josm.cache>\images.https://www.kartverket.no/Content/Images/logo-graphic-512.png=[1583965858715, <josm.cache>\images\mirror_https___www.kartverket.no_Content_Images_logo-graphic-512.png]
mirror.<josm.cache>\images.https://www.miljodirektoratet.no/Framework/favicon-32.png=[1572097283470, <josm.cache>\images\mirror_https___www.miljodirektoratet.no_Framework_favicon-32.png]
mirror.<josm.cache>\images.https://www.naturvardsverket.se/Documents/logotypes/nv-logo-sv.svg=[1578938024399, <josm.cache>\images\mirror_https___www.naturvardsverket.se_Documents_logotypes_nv-logo-sv.svg]
mirror.<josm.cache>\images.https://www.nve.no/Content/Images/nve-logo.png=[1572097284168, <josm.cache>\images\mirror_https___www.nve.no_Content_Images_nve-logo.png]
mirror.<josm.cache>\images.https://www.riksantikvaren.no/extension/riksantikvaren/design/internetsite/images/logo_na.png=[1577041287798, <josm.cache>\images\mirror_https___www.riksantikvaren.no_extension_riksantikvaren_design_internetsite_images_logo_na.png]
mirror.http://openwms.statkart.no/skwms1/wms.topo4?FORMAT_image/png&TRANSPARENT_TRUE&VERSION_1.1.1&SERVICE_WMS&REQUEST_GetCapabilities=[1575790385310, <josm.cache>\mirror_http___openwms.statkart.no_skwms1_wms.topo4_FORMAT_image_png_TRANSPARENT_TRUE_VERSION_1.1.1_SERVICE_WMS_REQUEST_GetCapabilities]
mirror.https://josm.openstreetmap.de/josmfile?page_Styles/Coloured_buildings&zip_1=[1583965856770, <josm.cache>\mirror_https___josm.openstreetmap.de_josmfile_page_Styles_Coloured_buildings_zip_1]
mirror.https://josm.openstreetmap.de/maps=[1583965857038, <josm.cache>\mirror_https___josm.openstreetmap.de_maps]
mirror.https://josm.openstreetmap.de/presets=[1575907380418, <josm.cache>\mirror_https___josm.openstreetmap.de_presets]
mirror.https://josm.openstreetmap.de/remote/geofabrik-index-v1-nogeom.json=[1583523303107, <josm.cache>\mirror_https___josm.openstreetmap.de_remote_geofabrik-index-v1-nogeom.json]
mirror.https://josm.openstreetmap.de/remote/sophox-sparql?query_SELECT+%28CONCAT%28%22Key%3A%22%2C+%3Fpermanent_key_ID%29+as+%3FOSM_key%29+%3Fformatter_URL+WHERE+%7B%0A++%3Fitem+osmdt%3AP2+osmd%3AQ7.%0A++%3Fitem+osmdt%3AP16+%3Fpermanent_key_ID.%0A++%3Fitem+osmdt%3AP8+%3Fformatter_URL.%0A%7D%0A=[1583523326081, <josm.cache>\mirror_https___josm.openstreetmaa9afd68cc62ad3780ff2609e7bb1e11b]
mirror.https://josm.openstreetmap.de/remote/wikidata-sparql?query_SELECT+%3FOSM_key+%3Fformatter_URL+WHERE+%7B%0A++%7B+%3Fitem+wdt%3AP1282+%3FOSM_key.+%7D%0A++FILTER%28STRSTARTS%28%3FOSM_key%2C+%27Key%3A%27%29%29+.%0A%0A++%7B%0A++++%7B+%3Fitem+wdt%3AP1630+%3Fformatter_URL.+%7D%0A++++UNION%0A++++%7B+%3Fitem+wdt%3AP3303+%3Fformatter_URL.+%7D%0A++%7D%0A%7D%0A=[1583523303242, <josm.cache>\mirror_https___josm.openstreetma2ed2f87d98ef5b24c7f8123020996ecf]
mirror.https://josm.openstreetmap.de/styles=[1575907358261, <josm.cache>\mirror_https___josm.openstreetmap.de_styles]
mirror.https://opencache.statkart.no/gatekeeper/gk/gk.open_wmts?request_GetCapabilities&service_wmts=[1573928806155, <josm.cache>\mirror_https___opencache.statkart.no_gatekeeper_gk_gk.open_wmts_request_GetCapabilities_service_wmts]
mirror.https://openwms.statkart.no/skwms1/wms.topo4?SERVICE_WMS&VERSION_1.1.1&REQUEST_GetCapabolilities&SERVICE_WMS&REQUEST_GetCapabilities=[1573928942934, <josm.cache>\mirror_https___openwms.statkart.no_skwms1_wms.topo4_SERVICE_WMS_VERSION_1.1.1_REQUEST_GetCapabolilities_SERVICE_WMS_REQUEST_GetCapabilities]
mirror.https://query.wikidata.org/sparql?query_SELECT+%3FOSM_key+%3Fformatter_URL+WHERE+%7B%0A++%7B+%3Fitem+wdt%3AP1282+%3FOSM_key.+%7D%0A++FILTER%28STRSTARTS%28%3FOSM_key%2C+%27Key%3A%27%29%29+.%0A%0A++%7B%0A++++%7B+%3Fitem+wdt%3AP1630+%3Fformatter_URL.+%7D%0A++++UNION%0A++++%7B+%3Fitem+wdt%3AP3303+%3Fformatter_URL.+%7D%0A++%7D%0A%7D%0A=[1582479349463, <josm.cache>\mirror_https___query.wikidata.orafe1bbcbeea917612040d02750123dbc]
mirror.https://sophox.org/sparql?query_SELECT+%28CONCAT%28%22Key%3A%22%2C+%3Fpermanent_key_ID%29+as+%3FOSM_key%29+%3Fformatter_URL+WHERE+%7B%0A++%3Fitem+osmdt%3AP2+osmd%3AQ7.%0A++%3Fitem+osmdt%3AP16+%3Fpermanent_key_ID.%0A++%3Fitem+osmdt%3AP8+%3Fformatter_URL.%0A%7D%0A=[1582479349831, <josm.cache>\mirror_https___sophox.org_sparql90f0ddf84bcdeb2d57ad686b549968b1]
mirror.https://waapi.webatlas.no/wms-orto-hist?request_GetCapabilities&service_WMS=[1579810998284, <josm.cache>\mirror_https___waapi.webatlas.no_wms-orto-hist_request_GetCapabilities_service_WMS]
notes/note_open.lastHeight=0
org.openstreetmap.josm.gui.conflict.tags.CombinePrimitiveResolverDialog.geometry=x=880,y=196,width=800,height=804
org.openstreetmap.josm.gui.dialogs.DeleteFromRelationConfirmationDialog.geometry=x=1080,y=600,width=400,height=200
org.openstreetmap.josm.gui.dialogs.changeset.ChangesetCacheManager.geometry=x=414,y=232,width=1309,height=804
org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog.geometry=x=816,y=397,width=377,height=418
org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$EditTagDialog.geometry=x=954,y=606,width=582,height=188
org.openstreetmap.josm.gui.dialogs.relation.GenericRelationEditor.geometry=x=2967,y=276,width=697,height=822
org.openstreetmap.josm.gui.download.DownloadDialog.geometry=x=0,y=4,width=1536,height=821
org.openstreetmap.josm.gui.help.HelpBrowser.geometry=x=0,y=0,width=600,height=400
org.openstreetmap.josm.gui.history.HistoryBrowserDialogManager.geometry=x=486,y=230,width=850,height=500
org.openstreetmap.josm.gui.io.UploadDialog.geometry=x=760,y=220,width=600,height=600
org.openstreetmap.josm.gui.oauth.OAuthAuthorizationWizard.geometry=x=629,y=261,width=661,height=518
org.openstreetmap.josm.gui.preferences.PreferenceDialog.geometry=x=610,y=189,width=700,height=701
org.openstreetmap.josm.gui.preferences.imagery.AddTMSLayerPanel.geometry=x=801,y=330,width=931,height=805
org.openstreetmap.josm.gui.preferences.imagery.AddWMSLayerPanel.geometry=x=754,y=241,width=955,height=1044
org.openstreetmap.josm.gui.preferences.imagery.AddWMTSLayerPanel.geometry=x=576,y=341,width=400,height=600
osm-download.bounds=60.5243538;9.1447877;60.5517727;9.2351245
osm-server.upload-strategy=chunked
osm-server.upload-strategy.chunk-size=10000
pluginmanager.lastupdate=1582844242453
pluginmanager.version=15937
plugins=[buildings_tools, conflation, jaxb, jts, kartverketimport, log4j, todo, turnrestrictions, utilsplugin2]
preferences.reset.draw.rawgps.lines=true
properties.recent-tags=[building, terrace, place, islet, ele, 1138, water, pond, waterway, riverbank, natural, bare_rock, ele, 837, +, river, natural, wood, water, river, area, no, sport, running, landuse, farmland, landuse, farmyard, fixme, incomplete, natural, wetland, wetland, bog, building, cabin, building, retail, waterway, r+, building, manufacture, area, yes, man_made, storage_tank, building, industrial, highway, service, highway, track, sport, soccer, waterway, stream, natural, water, waterway, river]
propertiesdialog.geometry=x=1029,y=584,width=427,height=197
propertiesdialog.lastHeight=266
proxy.policy=no-proxy
relation.editor.generic.lastrole=outer
relationlist.lastHeight=0
relationlist.visible=false
remotecontrol.enabled=true
search.history=[RC FIXME, RC 10810290, , RC natural=shingle, RC landuse=grass, RC aeroway, RC golf, RC aeorway]
selectionlist.lastHeight=266
sourcetag.value=Landsat
system_of_measurement=Metric
todo.lastHeight=265
todo.visible=true
toggleDialogs.width=415
toolbar=[open, save, download, upload, |, undo, redo, |, dialogs/search(searchExpression=), preference, |, splitway, combineway, wayflip, |, imagery-offset, |, tagginggroup_Highways/Streets, tagginggroup_Highways/Ways, tagginggroup_Highways/Waypoints, tagginggroup_Highways/Barriers, |, tagginggroup_Transport/Car, tagginggroup_Transport/Public Transport, |, tagginggroup_Facilities/Tourism, tagginggroup_Facilities/Food+Drinks, |, tagginggroup_Man Made/Historic Places, |, tagginggroup_Man Made/Man Made, imagery_Norway Orthophoto, imagery_Kartverket DOM Digital Surface Model, imagery_Kartverket DTM Digital Terrain Model, imagery_NVE Electricity Network overlay, imagery_Norway Orthophoto \(historic\)]
turnrestrictions.lastHeight=0
upload.comment.history=[N50 import, Some buildings and roads, , fixed helidpad node, #maproulette #Phone_or_fax_number_is_not_in_international_format_(ITU-T_E.164), Removed obviously wrong height tags, Lagt inn igjen bryggepromonaden, Fixed a bunch of errors, Attempting to fix multipolygon, Tegnet inn høy bygning, fixed multipolygon, fixing error, Some power, changed a few building=hangar to building=house, fixed some validation errors]
upload.comment.last-used=1583964272
upload.source.history=[Norway orthophoto;N50;Kartverket, Norway orthophoto, , N50, kartverket, Norway orthophoto;N50, Knowledge;Norway Orthophoto, Knowledge;Norway Orthophoto,Kartverket,N50, Knowledge;Norway Orthophoto,Kartverket, knowledge, survey, Bing]
userlist.lastHeight=0
utilsplugin2.customurl=https://www.openstreetmap.org/{#type}/{#id}/history
utilsplugin2.urlHistory=[Wikipedia, https://en.wikipedia.org/w/index.php?search={name}&fulltext=Search, Wikipedia RU, http://osm.mapki.com/history/{#type}.php?id={#id}, Who Dit It?, http://simon04.dev.openstreetmap.org/whodidit/?zoom=12&lat={#lat}&lon={#lon}&layers=BTT, Keep Right validator, http://keepright.ipax.at/report_map.php?zoom=14&lat={#lat}&lon={#lon}&layers=B0T, Element history [demo, =Ctrl-Shift-H], https://www.openstreetmap.org/{#type}/{#id}/history, Browse element [demo, =Ctrl-Shift-I], https://www.openstreetmap.org/{#type}/{#id}]
validator.lastHeight=266
validator.skip=[]
validator.skipBeforeUpload=[]
validator.visible=true

comment:3 Changed 3 months ago by Geimas5

In terms of creating the data, I have no idea what causes this, as it happens very rarely and with very different things that I have been doing. Since it also happens most of the time after I have worked for hours on a specific area, its hard to describe exactly what I have been doing.

However, it almost always involve relations and when I have been downloading data using the overpass API.

I don't know if its actually a cause, but it often happens when I have more than 10000 changes pending and uploading requires multiple changesets, in which it fails on the last changeset (and causes a large amount of extra work to clean up all of the orphan nodes which was created successfully in the osm database).

comment:4 Changed 3 months ago by skyper

Did you try "update data" ? You can even do it now.

If I do so, now. I get 2168 conflicts (2153 nodes, 13 ways, 2 relations)

Before such a big upload, please, save to file, update data (or at least modified) and then upload. Maybe, you can even manually select small chunks of the modified including some relations and use upload selection without closing the changeset.

Problem, here is a deleted way (779691669) which is listed in the conflicts like the relation it was part of.

I wonder why JOSM did not ask to look on the server for deleted objects, though. Anyway, the upload would have been interrupted to solve the conflicts.

I had a similar situation the last days, though, it was the result of user's fault. I merged a way which was deleted meanwhile from an outdated layer/file. I had to manually undelete/revert the way first but that is a different story.

Last edited 3 months ago by skyper (previous) (diff)

comment:5 in reply to:  4 Changed 3 months ago by Geimas5

Replying to skyper:

Did you try "update data" ? You can even do it now.

I did not try the "update data"; however, I did try to update the data using the "Download data" without that detecting any issues at the time.

If I do so, now. I get 2168 conflicts (2153 nodes, 13 ways, 2 relations)

I have since redone everything, so that is to be expected.

Before such a big upload, please, save to file, update data (or at least modified) and then upload. Maybe, you can even manually select small chunks of the modified including some relations and use upload selection without closing the changeset.

Problem, here is a deleted way (779691669) which is listed in the conflicts like the relation it was part of.

I wonder why JOSM did not ask to look on the server for deleted objects, though. Anyway, the upload would have be interrupted to solve the conflicts.

While I can be wrong, I seem to remember that, in the past, when I used the "Download data" function to redownload the data for a region, the conflicts were detected. It's only in the past two weeks that I have started to see these raw API errors occasionally.

I have also, lately, started to receive messages about the local version of an object being, for example, 5, while the one on the server being version 6 as this raw API error that JOSM does not seem to be able to understand. I have a vague memory that this used to be handled as a conflict by JOSM. To me, it seems as if something has changed lately.

However, I think I know what caused those version conflicts. It happened when I first downloaded a selection of data using an overpass query, when I then want to edit an area, I download all the data for that area using the "Download data" method. I believe the data from the overpass query can be a few minutes behind the main DB. What's weird then is that JOSM does not detect that it has received newer data from the server from the "Download data" option.

I had a similar situation the last days, though, it was the result of user's fault. I merged a way which was deleted meanwhile from an outdated layer/file. I had to manually undelete/revert the way first but that is a different story.

comment:6 Changed 3 months ago by skyper

Please have a look at your connection settings in preferences and tell us, if the option "Use overpass server to download objects is enabled in the tab "Overpass server".

comment:7 in reply to:  6 Changed 3 months ago by Geimas5

Replying to skyper:

Please have a look at your connection settings in preferences and tell us, if the option "Use overpass server to download objects is enabled in the tab "Overpass server".

That checkbox is unchecked.

Changed 3 months ago by Geimas5

Attachment: ConnectionSettings.PNG added

comment:8 Changed 3 months ago by Don-vip

Owner: changed from Geimas5 to team
Status: needinfonew

comment:9 Changed 3 months ago by Don-vip

Keywords: upload conflict added

comment:10 Changed 7 weeks ago by GerdP

#19124 might be related

Last edited 7 weeks ago by GerdP (previous) (diff)

comment:11 Changed 7 weeks ago by GerdP

I see that way 779691669 was deleted in CS https://www.openstreetmap.org/changeset/82080678 on the same day (2020-03-11T21:57:23Z"), so it is likely that is was deleted after you downloaded the relation 10810290.
Your file contains 6 download areas, so maybe you did not update the one which contains the relation?

comment:12 in reply to:  11 Changed 7 weeks ago by Geimas5

Replying to GerdP:

I see that way 779691669 was deleted in CS https://www.openstreetmap.org/changeset/82080678 on the same day (2020-03-11T21:57:23Z"), so it is likely that is was deleted after you downloaded the relation 10810290.
Your file contains 6 download areas, so maybe you did not update the one which contains the relation?

While it is so long ago now that it is a little hard for me to remember the details, I am pretty sure I was very careful to download everything. During that editing process, the bounds I am working within is very well defined. I also often take a screenshot to make sure I download everything. Even so, I always download a much larger area than I need. Due to the download limit, I often need to download 6-7 or more overlapping areas to get everything.

In terms of the database change log. I redid everything the same day. Therefore, I am not sure how much use the change sets are, as I do not remember the exact time this happened.

comment:13 Changed 7 weeks ago by GerdP

I am not sure what you expect to happen. The file output_part18.osm contains the relation in version 3 with the status modified. The server obviously had version 3 or higher which didn't contain way 779691669, so I think it is correct that you got a conflict. The conflict will not disappear when you download the data again, you have to tell JOSM how to resolve the conflict using the conflict manager. Did you try that?

comment:14 in reply to:  13 Changed 7 weeks ago by Geimas5

Replying to GerdP:

I am not sure what you expect to happen. The file output_part18.osm contains the relation in version 3 with the status modified. The server obviously had version 3 or higher which didn't contain way 779691669, so I think it is correct that you got a conflict. The conflict will not disappear when you download the data again, you have to tell JOSM how to resolve the conflict using the conflict manager. Did you try that?

My problem was that JSOM did not detect this as a conflict when downloading the data which could be handled by the conflict manager. That is indeed what usually happens, but not this time. Usually, I get a popup with a message saying something like "3 conflicts detected...".

What happened this time, was a error which just showed the generic response from the API, but with no way for me to correct the problem without starting over.

I would guess the API response parsing routines JSOM have just failed for some reason this time. But I don't know enough of the inner workings of JOSM to know if that makes sense.

Last edited 7 weeks ago by Geimas5 (previous) (diff)

comment:15 Changed 7 weeks ago by skyper

See #5619.

comment:16 in reply to:  15 ; Changed 7 weeks ago by Geimas5

Replying to skyper:

See #5619.

Hmm, maybe related. Hard for me to judge when the JOSM code is a black box for me. I should note, I never got any conflicts in the conflict manager, which seams central to the discussion in that ticket.

comment:17 in reply to:  16 ; Changed 7 weeks ago by Geimas5

Replying to Geimas5:

Replying to skyper:

See #5619.

Hmm, maybe related. Hard for me to judge when the JOSM code is a black box for me. I should note, I never got any conflicts in the conflict manager, which seams central to the discussion in that ticket.

One note, I notice that the "created_by" mentioned in the first comment in that ticket. If the conflict resolution is dependent on the username, it might be worth keeping in mind that in this case I had a conflict with myself.

comment:18 Changed 7 weeks ago by GerdP

I tried this with r15937 and a current version:

  • edit your file so that r10810290 is at version 2 (just changed the number)
  • upload
  • I see the preload condition message shown above, but for different objects
  • No conflict is added in the conflict manager
  • When I download an area that contains a member of the relation the conflict is generated

I don't know if the popup saying <Precondition failed: Relation 10810290 requires the ways with id in 779691669, which either do not exist, or are not visible> created a conflict in the past?

comment:19 in reply to:  18 ; Changed 7 weeks ago by Geimas5

Replying to GerdP:

I tried this with r15937 and a current version:

  • edit your file so that r10810290 is at version 2 (just changed the number)
  • upload
  • I see the preload condition message shown above, but for different objects
  • No conflict is added in the conflict manager
  • When I download an area that contains a member of the relation the conflict is generated

I don't know if the popup saying <Precondition failed: Relation 10810290 requires the ways with id in 779691669, which either do not exist, or are not visible> created a conflict in the past?

Hmm, I guess it is possible that I missed something when I selected areas for download.

As for if this specific message created a conflict before. I actually don't know. I had not seen it before, I think all my conflicts might have been detected from when I downloaded the areas.

Would it be possible to improve this message, and add a button for updating the data from the server? Even though I have been using JOSM for years, I had not noticed the "Update data" function before submitting this ticket and it is not clear how to proceed from the message.

comment:20 Changed 7 weeks ago by GerdP

I see lots of code in JOSM which probably should produce a conflict for the <Precondition failed: ...> message.
It seems the message "Relation 10810290 requires the ways with id in 779691669, which either do not exist, or are not visible." simply isn't handled yet.

comment:21 Changed 7 weeks ago by GerdP

Owner: changed from team to GerdP
Status: newassigned

In https://github.com/zerebubuth/openstreetmap-cgimap/blob/master/src/backend/apidb/changeset_upload/relation_updater.cpp
I found two messages which are not yet handled by the JOSM code

      throw http::precondition_failed(
          (boost::format("Relation %1% requires the nodes with id in %2%, "
                         "which either do not exist, or are not visible.") %
           it->first % to_string(it->second))
              .str());
...
      throw http::precondition_failed(
          (boost::format("Relation %1% requires the ways with id in %2%, which "
                         "either do not exist, or are not visible.") %
           it->first % to_string(it->second))
     
         .str());

It should be easy enough to add them to ExceptionUtil.parsePreconditionFailed()

comment:22 Changed 6 weeks ago by GerdP

Cc: simon04 added
Owner: changed from GerdP to team
Status: assignednew

IIGTR JOSM cannot yet create conflicts from Precondition failed messages which contain the word requires.
It can only handle those which contain is still used by (e.g. when you delete a node which is used by a way)
There is code to handle Way ... requires the nodes ... when the way id is positive, but it produces a wrong conflict.
(you did not delete the way, your way requires nodes which were deleted on the server).
Need much more work that expected...

comment:23 Changed 6 weeks ago by GerdP

Sample message: Precondition failed: Way -174893 requires the nodes with id in 7286378757,7286382920, which either do not exist, or are not visible.

Changed 6 weeks ago by GerdP

Attachment: 18915.patch added

comment:24 Changed 6 weeks ago by GerdP

Patch

  • handles negative ids in "requires the " messages
  • corrects the translated messages
  • downloads either the parents or the children, depending on the message (still used by or requires ... which either do not exist, or are not visible)

Please let me know what you think about the changed message texts.

comment:25 in reply to:  17 Changed 6 weeks ago by GerdP

Replying to Geimas5:

One note, I notice that the "created_by" mentioned in the first comment in that ticket. If the conflict resolution is dependent on the username, it might be worth keeping in mind that in this case I had a conflict with myself.

Is it possible that you changed the upload strategy to chunked? Please check the preference setting for osm-server.upload-strategy

Changed 6 weeks ago by GerdP

Attachment: conflict-resolution.PNG added

comment:26 in reply to:  19 ; Changed 6 weeks ago by GerdP

Replying to Geimas5:

Would it be possible to improve this message, and add a button for updating the data from the server? Even though I have been using JOSM for years, I had not noticed the "Update data" function before submitting this ticket and it is not clear how to proceed from the message.


A text similar to this is displayed with the patch. In your case it would say Failed to upload relation 10810290. It refers to deleted way 779691669. Please load the way, remove the referrences in the relation, and upload again.
If I got you right you suggest to add a button "Update data" here which would trigger the same action as Ctrl+U?

comment:27 in reply to:  26 Changed 6 weeks ago by Geimas5

Replying to GerdP:

Replying to Geimas5:

Would it be possible to improve this message, and add a button for updating the data from the server? Even though I have been using JOSM for years, I had not noticed the "Update data" function before submitting this ticket and it is not clear how to proceed from the message.


A text similar to this is displayed with the patch. In your case it would say Failed to upload relation 10810290. It refers to deleted way 779691669. Please load the way, remove the referrences in the relation, and upload again.
If I got you right you suggest to add a button "Update data" here which would trigger the same action as Ctrl+U?

Yes, i did suggest that as a catch-all solution the cases what where not handled specifically. But, the solution you have now implemented, looks better to me.

comment:28 Changed 3 weeks ago by GerdP

Resolution: fixed
Status: newclosed

In 16407/josm:

fix #18915: "Precondition violation" not fixable from within JOSM

  • correct handling of precondition failure responses that contain the word requires so that the correct objects are downloaded. The parents are needed, not the childern.

comment:29 Changed 7 days ago by simon04

Milestone: 20.05

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.